#ifndef _FIELDSAT_H
#define _FIELDSAT_H

#define FIELDSAT_SAMPLE_SIZE 32

struct fieldsat_sample_s1 {
	unsigned long timestamp;
	unsigned short acc_low[3];
	unsigned short ang_vel[3];
	unsigned short solar_luminosity;
	unsigned short solar_voltage;
};

struct fieldsat_sample_s2 {
	unsigned long timestamp;
	unsigned short pressure;
	unsigned short temp_int;
	unsigned short temp_ext;
};

#endif
